Opgelicht?! opgelicht-logo

meer NPO start
Opgelicht?!
  • Apple repareert kritieke beveiligingslekken in iOS, iTunes, MacOS en Safari

    Apple repareert kritieke beveiligingslekken in iOS, iTunes, MacOS en Safari

    Gebruik jij iOS, iTunes, MacOS en/of Safari van Apple? Dan moet je gauw even doorlezen: Apple heeft in al deze applicaties kritieke beveiligingslekken verholpen waardoor aanvallers je systeem hadden kunnen overnemen.

    Deze beveiligingslekken worden als kritiek bestempeld omdat er relatief weinig interactie van de gebruiker nodig is: slechts het bezoeken van een kwaadaardige website is in theorie voldoende. Maar welke updates moet je hebben?

    iOS 13.4 en iPadOS 13.4

    Apple heeft iOS 13.4 en iPadOS 13.4 uitgebracht. In totaal zijn dertig kwetsbaarheden opgelost. Een aanvaller had in theorie bluetooth-verkeer kunnen onderscheppen. Was je iPhone vergrendeld, maar wist een aanvaller zich tóch toegang te verschaffen? Dan kon diegene zelfs op een vergrendeld toestel nog reageren op berichten, zelfs als de mogelijkheid van beantwoorden vanaf het vergrendelde scherm was uitgeschakeld.

    Wie op het internet gebruik maakte van een incognitoscherm, liep daarnaast het risico dat deze activiteiten toch via Screen Time konden worden vastgelegd.

    In WebKit zijn de meest gevaarlijke beveiligingslekken verholpen. Safari maakt gebruik van WebKit, en zoals gezegd kon een aanvaller code uitvoeren als je in Safari een kwaadaardige website bezocht. Updaten wordt van harte aanbevolen: dit kan via iTnes of anders via de Software Update-functie.

    MacOS

    Apple meldt op de website dat er 27 kwetsbaarheden zijn verholpen in MacOS Catalina 10.15.4, Security Update 2020-002 Mojave én Security Update 2020-002 High Sierra. Deze pagina verwijst ook naar een link om de voor jou relevante update(s) te kunnen downloaden, maar updaten kan natuurlijk ook via de update-functie van jouw besturingssysteem.

    Eén van de verholpen beveiligingslekken zat in Apple Mail. Een aanvaller kon via dat lek JavaScript-code uitvoeren. Daarnaast werd een lek aangetroffen waardoor malafide apps in staat waren om de verificatie van een digitale handtekening te omzeilen.

    Safari

    Gebruik je MacOS Mojave of MacOS High Sierra? Dan moet je Safari 13.1 installeren. In deze versie zijn elf kwetsbaarheden opgelost, waaronder het reeds genoemde lek in WebKit. Daarnaast is een lek in Safari Downloads verholpen. Safari 13.1 kun je downloaden in de App Store.

    iTunes

    Tot slot moeten ook gebruikers van iTunes even opletten. Dertien kwetsbaarheden zijn verholpen in iTunes 12.10.5. Zou iTunes op de een of andere manier de inhoud van een kwaadaardige website verwerken, dan zou dat de aanvaller in staat stellen om code op jouw apparaat uit te voeren. Dat lek behoort met de update tot het verleden. De iTunes-pagina op de website van Apple voorziet in een download van de meest recente versie.

    Bron: Apple.com / Security.nl

    Updates ontvangen over dit onderwerp?

    Wil je op de hoogte blijven van dit onderwerp? Download de gratis Opgelicht-app en volg het onderwerp.

    Reacties (0)

    Op de Opgelicht?! website moet je 'overige cookies' accepteren om te reageren op artikelen.

  • Ook interessant